import { StyleSheet } from "react-native";
import { commonStyles } from "../../../styles/commonStyle";
import { windowHeight, windowWidth } from "@src/themes";
import { appColors } from "@src/themes";
import { external } from "../../../styles/externalStyle";

const styles = StyleSheet.create({
  container: {
    ...commonStyles.shadowContainer,
    backgroundColor: appColors.whiteColor,
    paddingHorizontal: windowHeight(16),
    borderTopRightRadius: windowHeight(16),
    borderTopLeftRadius: windowHeight(16),
    borderBottomLeftRadius: windowHeight(16),
    borderBottomRightRadius: windowHeight(16),
    marginBottom: windowHeight(35),
  },
  backgroundImage: {
    width: "100%",
    height: windowHeight(200),
    resizeMode: "contain",
    marginBottom: windowHeight(-10),
  },
  contentContainer: {
    justifyContent: "flex-end",
    width: "93%",
    alignSelf: "center",
    paddingVertical: windowHeight(1),
  },
  img: {
    height: windowHeight(28),
    width: windowHeight(90),
    ...external.as_center,
    marginTop: windowHeight(8),
    resizeMode: "contain",
  },
  imageMainView: { flex: 1, justifyContent: "flex-end" },
  imageView: { justifyContent: "flex-end" },
  line: {
    height: windowHeight(4.8),
    width: windowWidth(55),
    backgroundColor: appColors.primary,
    alignSelf: "center",
    borderRadius: windowWidth(20),
    marginTop: windowHeight(10),
  },
});

export default styles;
